gnutls_certificate_set_x509_crl(3)

NAME
gnutls_certificate_set_x509_crl - Used to add CRLs in a gnutls_certificate_credentials_t structure

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_certificate_set_x509_crl(gnutls_certificate_credentials_t res, gnutls_x509_crl_t * crl_list, int crl_list_size);

ARGUMENTS

gnutls_certificate_credentials_t res
    is an gnutls_certificate_credentials_t structure.

gnutls_x509_crl_t * crl_list
    is a list of trusted CRLs. They should have been verified before.

int crl_list_size
    holds the size of the crl_list

DESCRIPTION
This function adds the trusted CRLs in order to verify client or server certificates. In case of a client this is not required to be called if the certificates are not verified using gnutls_certificate_verify_peers2(). This function may be called multiple times.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.